/*
 * Class NATIVE_ARRAY [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1882 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1882 [] = {0xFF01,1551,1881,845,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1882 [] = {0xFF01,1881,845,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1882 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1882 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1882 [] = {0xFF01,1881,845,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1882 [] = {0xFF01,1881,845,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1882 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1882 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1882 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1882 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1882 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1882 [] = {1881,845,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1882 [] = {0xFF01,1881,845,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1882 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1882[] = {
	{EIF_GENERIC(NULL), 1366, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1882), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1882), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1882), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1882), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1882), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1882), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1882), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1882), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1882), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1882), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1882), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1882), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1882), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1882), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1882), -1, 0xFFFFFFFF},
};
void Init1882(void)
{
	IDSC(desc_1882, 0, 1881);
	IDSC(desc_1882 + 1, 1, 1881);
	IDSC(desc_1882 + 32, 674, 1881);
}


#ifdef __cplusplus
}
#endif
